#pragma once

#include <QJsonArray>
#include <QJsonObject>
#include <QString>
#include <QUrl>
#include <QPixmap>

struct Service {
	Service(QJsonObject const &o);
	QPixmap const &pixmap() const;

	QString	title;
	QUrl	url;
	QUrl	documentationUrl;
	QString	image;
	QString	description;
	QString	specialNote;
	bool	LDAP;

protected:
	mutable QPixmap	_image;
};

class Services:public QList<Service> {
public:
	Services():QList<Service>() {}
	Services(QJsonArray const &a);
};
