#include "ServiceWidget.h"

ServiceWidget::ServiceWidget(Service &s, QWidget *parent):QWidget(parent),_layout(QBoxLayout::LeftToRight, this),_s(s) {
	_layout.setSpacing(4);
	_icon = new QLabel(this);
	_icon->setPixmap(s.pixmap().scaled(32, 32));
	_layout.addWidget(_icon);
	_label = new QLabel(this);
	_label->setText("<h3>" + s.title + "</h3>" + s.description);
	_layout.addWidget(_label);
	_go = new QPushButton(tr("Go"), this);
	_layout.addWidget(_go);
	connect(_go, &QPushButton::clicked, this, &ServiceWidget::goClicked);
	_help = new QPushButton(tr("Help"), this);
	_layout.addWidget(_help);
	connect(_help, &QPushButton::clicked, this, &ServiceWidget::helpClicked);
}
