#pragma once

#include <QWidget>
#include <QPushButton>
#include <QBoxLayout>
#include <QLabel>

#include "Service.h"

class ServiceWidget:public QWidget {
	Q_OBJECT
public:
	ServiceWidget(Service &s, QWidget *parent=0);
	Service const &service() const { return _s; }
Q_SIGNALS:
	void goClicked();
	void helpClicked();
protected:
	Service		_s;
	QBoxLayout	_layout;
	QLabel *	_icon;
	QLabel *	_label;
	QPushButton *	_go;
	QPushButton *	_help;
};
