#pragma once

#include <QDialog>
#include <QGridLayout>
#include <QLabel>
#include <QPushButton>
#include <QResizeEvent>
#include <QScrollArea>

#include <lib/ButtonRow.h>

class ServicesDialog:public QDialog {
	Q_OBJECT
public:
	ServicesDialog(QWidget *parent=nullptr);
protected Q_SLOTS:
	void configureService();
	void serviceHelp();
protected:
	void resizeEvent(QResizeEvent *e) override;
protected:
	QGridLayout	_layout;
	QLabel *	_welcome;
	QScrollArea *	_knownServicesScroller;
	QWidget *	_knownServices;
	QLabel *	_usLabel;
	QScrollArea *	_unknownServicesScroller;
	QWidget *	_unknownServices;
	ButtonRow *	_buttons;
};
